MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028097Open CASCADE[OCCT] OCCT:Testspublic2016-11-13 10:172018-06-29 21:19
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0028097: Test system does not recognize 'fail...' messages as errors
DescriptionMessages with word 'fail' or 'failure' in general should be interpreted by the test system as errors, however this is not the case. The result is that some errors remain unnoticed, and tests are reported as OK while they are not.

The problem was originally discovered for command vdump that produces message "Fail: image can not be saved!" when it cannot save the image; this message is ignored by the test system. See bugs vis bug26147, bug26159, bug26413, bug26430.

Some other cases when failure reported by command remains unnoticed are:
bugs modalg_5 bug25980 (command project)
caf nam A8 (command CheckNaming)
sewing tol_1 R2 (command checkshape)

In some other tests failure message is unnoticed but the problem is detected by other means:

- in mesh tests (e.g. mesh standard_incmesh O5 U4 V6), incmesh produces message "Meshing statuses: Failure" which is ignored; the problem is detected later by analysis of the result.

- in chamfer tests, command "chamf" produces similar message which likely gets unnoticed on itself, but failure is recognized in some other way (it looks like this command raises Tcl exception).

See more complete list of suspicious messages found in recent tests log in "Additional information" section.

These cases should be checked and test system should be improved to avoid this problem.
Additional information
and documentation updates
bugs/caf/bug2269.log:XmlDriver warning: failure reading attribute TDataStd_RealArray
bugs/caf/bug2269.log:XmlDriver warning: failure reading attribute TDataStd_RealArray
bugs/caf/bug24164_2.log:BinLDrivers_DocumentRetrievalDriver: warning: failure reading attribute TDataStd_ReferenceArray
bugs/caf/bug24164_2.log:BinLDrivers_DocumentRetrievalDriver: warning: failure reading attribute TDataStd_ReferenceArray
bugs/heal/bug24249_1.log:brestore D:/ABV/OCCT/occt_tests_data/private/customers/Salome/bug24249_ShapeFix_Fail.brep n
bugs/mesh/bug24923.log:Number of failed cases: 0 (Total 10000000)
bugs/mesh/bug24938.log:Meshing statuses: Failure ReMesh
bugs/mesh/bug26664.log:Meshing statuses: Failure
bugs/modalg_4/bug825.log:Face 1 - ******************** FAILED during Triangulation
bugs/modalg_4/bug825.log:***** Triangulation FAILED for 1 of 2 Faces ******
bugs/modalg_4/bug825_1.log:Face 1 - ******************** FAILED during Triangulation
bugs/modalg_4/bug825_1.log:***** Triangulation FAILED for 1 of 2 Faces ******
bugs/modalg_4/bug825_2.log:Face 1 - ******************** FAILED during Triangulation
bugs/modalg_4/bug825_2.log:***** Triangulation FAILED for 1 of 2 Faces ******
bugs/modalg_4/bug827_1.log:Face 3 - ******************** FAILED during Triangulation
bugs/modalg_4/bug827_1.log:Face 5 - ******************** FAILED during Triangulation
bugs/modalg_4/bug827_1.log:***** Triangulation FAILED for 2 of 5 Faces ******
bugs/modalg_4/pro19653.log:Faulty : TEST FAILED
bugs/modalg_5/bug25980.log:Projection Failed
bugs/modalg_6/bug25844.log:REQUIRED All: checkshape failure
bugs/modalg_6/bug25844.log: checkshape failure........................ 2
bugs/moddata_1/bug15519.log:Meshing statuses: OpenWire SelfIntersectingWire Failure ReMesh
bugs/moddata_2/bug308.log:Projection Failed
bugs/moddata_3/bug25892_01.log:Projection Failed
bugs/moddata_3/bug25892_02.log:Projection Failed
bugs/moddata_3/bug25894_1.log:brestore D:/ABV/OCCT/occt_tests_data/private/customers/CFturbo/bug25894_ProjectionFailed.brep n
bugs/moddata_3/bug25894_2.log:brestore D:/ABV/OCCT/occt_tests_data/private/customers/CFturbo/bug25894_ProjectionNotFailed.brep n
bugs/vis/buc60858.log:Meshing statuses: OpenWire Failure
bugs/vis/bug21970.log:Meshing statuses: Failure
bugs/vis/bug22849.log:Meshing statuses: OpenWire Failure
bugs/vis/bug26147.log:Fail: image can not be saved!
bugs/vis/bug26159.log:Fail: image can not be saved!
bugs/vis/bug26413.log:Fail: image can not be saved!
bugs/vis/bug26430.log:Fail: image can not be saved!
caf/bugs/D2.log:GetFunction D 0:1:1 fguid failure
caf/nam/A8.log:Failure of selection
caf/nam/A8.log:Failure of selection
chamfer/dist_angle/A1.log:compute of chamfer failed
chamfer/dist_angle_complex/B5.log:compute of chamfer failed
chamfer/dist_angle_complex/B6.log:compute of chamfer failed
chamfer/dist_angle_complex/B7.log:compute of chamfer failed
chamfer/dist_angle_complex/C1.log:compute of chamfer failed
chamfer/dist_angle_sequence/A3.log:compute of chamfer failed
chamfer/dist_angle_sequence/A5.log:compute of chamfer failed
chamfer/dist_dist_complex/B6.log:compute of chamfer failed
chamfer/dist_dist_complex/B7.log:compute of chamfer failed
chamfer/dist_dist_complex/C1.log:compute of chamfer failed
chamfer/dist_dist_sequence/A3.log:compute of chamfer failed
chamfer/dist_dist_sequence/A5.log:compute of chamfer failed
chamfer/dist_dist_sequence/B8.log:compute of chamfer failed
chamfer/equal_dist_complex/B5.log:compute of chamfer failed
chamfer/equal_dist_complex/B7.log:compute of chamfer failed
chamfer/equal_dist_complex/C1.log:compute of chamfer failed
chamfer/equal_dist_sequence/A3.log:compute of chamfer failed
chamfer/equal_dist_sequence/A3.log:compute of chamfer failed
de/iges_1/B6.log: 1 F:510 1 Face : face D3163 transfer failed : entity skipped.
de/iges_1/B6.log: 1 F:510 1 Face : face D5623 transfer failed : entity skipped.
de/iges_1/B6.log: 1 F:510 1 Face : surface D3057 transfer failed : entity skipped.
de/iges_1/B6.log: 1 F:510 1 Face : surface D5517 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : face D15095 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : face D15175 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : face D15215 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : face D15225 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : face D15965 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : face D15995 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : face D16005 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : face D16095 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : face D16225 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : surface D15093 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : surface D15173 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : surface D15213 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : surface D15223 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : surface D15963 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : surface D15993 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : surface D16003 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : surface D16093 transfer failed : entity skipped.
de/iges_1/J9.log: 1 F:510 1 Face : surface D16223 transfer failed : entity skipped.
de/iges_1/J9.log: 1 W:508 1 Loop : loop D8607 transfer failed : entity skipped.
de/iges_1/J9.log: 1 W:508 1 Loop : loop D8995 transfer failed : entity skipped.
de/iges_1/J9.log: 1 W:508 1 Loop : loop D9013 transfer failed : entity skipped.
de/iges_2/D4.log: 1 F:143 0 BoundedSurface : basis surface D1273 transfer failed : entity skipped.
de/iges_2/D4.log: 1 W:140 0 OffsetSurface : basis surface D1273 transfer failed : entity skipped.
de/step_1/D7.log: 10 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_1/D7.log: 10 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_1/I1.log: 3 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_1/I1.log: 3 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_1/J6.log: 6 W:LINE: Update of 3D-Parameters has failed
de/step_1/O3.log: 1 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_1/O3.log: 1 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_1/R3.log: 2 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_1/R3.log: 2 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_1/S2.log: 1 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_1/ZA7.log: 2 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_1/ZA7.log: 2 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_2/E6.log: 4 W:(BOUNDED_CURVE,B_SPLINE_CURVE,B_SPLINE_CURVE_WITH_KNOTS,CURVE,GEOMETRIC_REPRESENTATION_ITEM,RATIONAL_B_SPLINE_CURVE,REPRESENTATION_ITEM): Update of 3D-Parameters has failed
de/step_2/E6.log: 4 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_2/E7.log: 9 W:LINE: Update of 3D-Parameters has failed
de/step_2/G2.log: 6 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_2/G2.log: 6 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_2/H2.log: 4 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_2/H2.log: 3 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_2/M5.log: 2 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_2/M5.log: 2 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_2/N6.log: 6 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_2/N6.log: 6 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_2/R5.log: 1 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_2/R5.log: 1 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_3/A4.log: 27 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_3/A4.log: 80 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_3/B9.log: 1 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_3/D9.log: 1 W:LINE: Update of 3D-Parameters has failed
de/step_3/E5.log: 4 W:LINE: Update of 3D-Parameters has failed
de/step_3/E6.log: 4 W:(BOUNDED_CURVE,B_SPLINE_CURVE,B_SPLINE_CURVE_WITH_KNOTS,CURVE,GEOMETRIC_REPRESENTATION_ITEM,RATIONAL_B_SPLINE_CURVE,REPRESENTATION_ITEM): Update of 3D-Parameters has failed
de/step_3/E6.log: 6 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_4/A7.log: 3 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_4/A7.log: 3 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_4/B2.log: 12 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_4/B2.log: 12 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_4/B3.log: 3 W:(BOUNDED_CURVE,B_SPLINE_CURVE,B_SPLINE_CURVE_WITH_KNOTS,CURVE,GEOMETRIC_REPRESENTATION_ITEM,RATIONAL_B_SPLINE_CURVE,REPRESENTATION_ITEM): Update of 3D-Parameters has failed
de/step_4/B3.log: 6 W:(BOUNDED_CURVE,B_SPLINE_CURVE,B_SPLINE_CURVE_WITH_KNOTS,CURVE,GEOMETRIC_REPRESENTATION_ITEM,RATIONAL_B_SPLINE_CURVE,REPRESENTATION_ITEM): Update of 3D-Parameters has failed
de/step_4/B3.log: 10 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_4/B4.log: 21 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
de/step_4/B4.log: 20 W:B_SPLINE_CURVE_WITH_KNOTS: Update of 3D-Parameters has failed
heal/split_angle_advanced/F1.log:Status: FAIL2
heal/split_angle_advanced/F1.log:Status: FAIL2
heal/split_angle_advanced/F2.log:Status: FAIL2
heal/split_angle_advanced/F2.log:Status: FAIL2
heal/split_angle_advanced/F3.log:Status: FAIL2
heal/split_angle_advanced/F3.log:Status: FAIL2
heal/split_continuity_advanced/F1.log:Status: FAIL2
heal/split_continuity_advanced/F1.log:Status: FAIL2
heal/split_continuity_advanced/F3.log:Status: FAIL2
heal/split_continuity_advanced/F3.log:Status: FAIL2
mesh/standard_incmesh/O5.log:Meshing statuses: Failure
mesh/standard_incmesh/U4.log:Meshing statuses: Failure
mesh/standard_incmesh/V6.log:Meshing statuses: Failure
mesh/standard_incmesh_parallel/O5.log:Meshing statuses: Failure
mesh/standard_incmesh_parallel/U4.log:Meshing statuses: Failure
mesh/standard_incmesh_parallel/V6.log:Meshing statuses: Failure
offset/shape_type_i_c/E4.log:brestore D:/ABV/OCCT/occt_tests_data/private/customers/ASML/bug25926_input_shape_fails.brep n
offset/shape_type_i_c/E5.log:brestore D:/ABV/OCCT/occt_tests_data/private/customers/ASML/bug25926_input_shape_fails.brep n
offset/shape_type_i_c/E6.log:brestore D:/ABV/OCCT/occt_tests_data/private/customers/ASML/bug25926_input_shape_fails.brep n
sewing/tol_1/R2.log:BRepCheck_CheckFail
...
sewing/tol_1/R2.log:BRepCheck_CheckFail
xml/ocaf_cbf/C6.log:GetFunction DD 0:1:1 driverGuid2 failureNb2
xml/ocaf_xml/C6.log:GetFunction DD 0:1:1 driverGuid2 failureNb2
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0074508)
git (administrator)
2018-03-15 17:13

Branch CR28097 has been created by apn.

SHA-1: 6bf832f928c7822ccaad8dff8ec0f686af5bec10


Detailed log of new commits:

Author: apn
Date: Thu Mar 15 17:13:16 2018 +0300

    0028097: Test system does not recognize 'fail...' messages as errors
    
    Messages with word 'fail' or 'failure' will be interpreted by the test system as errors.
(0074663)
git (administrator)
2018-03-19 17:58

Branch CR28097 has been updated by apn.

SHA-1: eab57ce3936f752de6a6011c7a84f1dd00e66d52


Detailed log of new commits:

Author: apn
Date: Mon Mar 19 17:58:00 2018 +0300

    Correct test cases after adding words 'fail' or 'failure' in parse.rules file.

(0074664)
git (administrator)
2018-03-19 18:02

Branch CR28097 has been updated forcibly by apn.

SHA-1: d1bf6802a75079ecf430de7a0e647c80a40bc020
(0074697)
git (administrator)
2018-03-20 12:24

Branch CR28097 has been updated forcibly by apn.

SHA-1: 8ccfacb18de07e59156ba54194d8f716745f3639
(0074706)
git (administrator)
2018-03-20 14:57

Branch CR28097 has been updated forcibly by apn.

SHA-1: 1d675717ea3e74b357114db52a17394d6327311d
(0074715)
git (administrator)
2018-03-20 19:53

Branch CR28097 has been updated forcibly by apn.

SHA-1: 2ca27ff77e23648c9511f160b204e2228708f41f
(0074721)
git (administrator)
2018-03-21 11:57

Branch CR28097 has been updated forcibly by apn.

SHA-1: 2224ba6c3bac68077dfcee8905fb2d70f20a6c4c
(0074727)
git (administrator)
2018-03-21 13:51

Branch CR28097 has been updated by apn.

SHA-1: 444c131ed58a59214b9103ab790426d220f45ec5


Detailed log of new commits:

Author: apn
Date: Wed Mar 21 13:51:24 2018 +0300

    Move definition of `Faulty` parcer to root parse.rules file.

(0074739)
git (administrator)
2018-03-21 15:49

Branch CR28097 has been updated forcibly by apn.

SHA-1: 2224ba6c3bac68077dfcee8905fb2d70f20a6c4c
(0074747)
apn (administrator)
2018-03-21 19:17

OCCT:
boolean bfuse_complex R9 S1 - warnings after boolean operations (add TODO and register issue 0029596)
bugs mesh bug24923 - modify output in error message (replace `failed` by `incorrect`), output still has word `Error`
bugs mesh bug24938 - Meshing statuses: Failure ReMesh (Add TODO to already BAD test case)
bugs mesh bug25547 - modify non-error output of QA command OCC25547 in src/QABugs/QABugs_19.cxx (replace `failed` by `incorrect`)
bugs mesh bug26664 - remove meaningless part of test case (with no adaptive computation)
bugs modalg_1 bug12918 - warnings after boolean operations (add TODO and register issue 0029596)
bugs modalg_4 bug697_2 bug697_4 bug697_7 bug697_8 - warnings after boolean operations (add TODO and register issue 0029596)
bugs modalg_4 bug825 - FAILED during Triangulation (Add TODO to already BAD test case)
bugs modalg_5 bug22829 bug24003 bug24764 bug25625 - warnings after boolean operations (add TODO and register issue 0029596)
bugs modalg_5 bug25980 - projection should fail due to big distance of projection at curve beginning (add REQUIRED)
bugs modalg_6 bug24161 bug28283 - warnings after boolean operations (add TODO and register issue 0029596)
bugs modalg_6 bug27873 - null result is expected (add REQUIRED)
bugs modalg_7 bug21134 bug28150_1 - warnings after boolean operations (add TODO and register issue 0029596)
bugs modalg_7 bug26225_1 bug26225_2 - remove `Tcl Exception` from TODO for more general statement
bugs moddata_1 bug150_1 bug150_2 - warnings after boolean operations (add TODO and register issue 0029596)
bugs moddata_1 bug15519 - Meshing statuses: OpenWire SelfIntersectingWire Failure ReMesh (add TODO to already BAD test case)
bugs moddata_2 bug308 - projection should fail (add REQUIRED)
bugs moddata_3 bug25892_01 bug25892_02 - projection should fail due to big distance between curve and surface (add REQUIRED)
bugs vis buc60858 - Meshing statuses: OpenWire Failure (add TODO issue #26106)
bugs vis bug21970 - Meshing statuses: Failure (add TODO to already BAD test case)
bugs vis bug22849 - Meshing statuses: OpenWire Failure (add TODO issue 0022849)
caf bugs D2 - rename varibale in test case (replace `failure` by `failureNb`)
chamfer data complex A3 A5 B5 B6 B7 B8 C1 - remove `chamfer is not done` from TODO for more general statement
chamfer data simple A1 - remove `chamfer is not done` from TODO for more general statement
de iges_1 B6 J9 D4 - transfer failed : entity skipped (add TODO to already BAD test case)
de step_1 D7 I1 J6 O3 R3 S2 ZA7 - Update of 3D-Parameters has failed (add TODO)
de step_2 E6 E7 G2 G5 H2 M5 N6 R5 - Update of 3D-Parameters has failed (add TODO)
de step_3 A4 B9 D9 E5 E6 - Update of 3D-Parameters has failed (add TODO)
de step_4 A7 B2 B3 B4 - Update of 3D-Parameters has failed (add TODO)
heal data advanced F1 F2 F3 - Status: FAIL2 (add TODO to already BAD test case)
mesh data standard O5 U4 V6 - Meshing statuses: Failure (add TODO issue 0022687)
perf modalg bug10160_1 bug10160_2 bug10160_3 bug10160_4 - warnings after boolean operations (add TODO and register issue 0029596)

PRODUCTS:
omf advanced_meshcut G5 - Meshing statuses: Failure (incmesh on infinite shape, add REQUIRED)
parasolid doc_1 A3 - Update of 3D-Parameters has failed (add TODO to already BAD test case)
parasolid doc_2 A3 - Update of 3D-Parameters has failed (add TODO to already BAD test case)
parasolid doc_3 E3 - Update of 3D-Parameters has failed (add TODO to already BAD test case)
sat doc_1 A9 - Translation of supporting surface failed (add TODO to already BAD test case)
sat doc_5 H1 - Process killed by CPU limit (additional TODO in incomplete test case, issue #26049)
sat doc_5 H3 H4 H7 - Process killed by CPU limit (additional TODO in incomplete test case, issue #26049)
sat doc_5 H5 H6 - Translation of supporting surface failed (add TODO to already BAD test case)
sat doc_6 D3 H4 I7 - Translation of supporting surface failed (add TODO to already BAD test case)
(0074748)
apn (administrator)
2018-03-21 19:24

Messages with words 'fail' and'failure' are interpreted by the test system as errors.

Dear abv, could you please review OCCT and PRODUCTS branches CR28097.
http://jenkins-test-11.nnov.opencascade.com/view/CR28097-CR28097-APN/ [^]
(0074891)
git (administrator)
2018-03-25 16:34

Branch CR28097_1 has been created by abv.

SHA-1: 1123d12f7dffc71c99e2ee243e7dbd13869e617e


Detailed log of new commits:

Author: apn
Date: Thu Mar 15 17:13:16 2018 +0300

    0028097: Test system does not recognize 'fail...' messages as errors
    
    Test parse rules are improved to recognize messages with word 'fail' or 'failure' as errors.
    Test cases are corrected accordingly (TODO or REQUIRED statements added where fail messages were not noticed previously).
(0074894)
abv (manager)
2018-03-25 18:58

Reviewed with amendments, please integrate. Use branch CR28097_2 in OCCT and Products, which is CR28097_1 rebased on current master and amended. See Jenkins job CR28097-CR28097-APN for updated test results.

My amendment was correction of test bug26664: instead of REQUIRED, I have put TODO, since failure of mesh algorithm is a bad thing in any case.
(0074928)
bugmaster (administrator)
2018-03-26 15:36

Combination -
OCCT branch : CR28097_1 SHA - 1123d12f7dffc71c99e2ee243e7dbd13869e617e
Products branch : CR28097_1 SHA - f4492b7f1dd89649c888d08f6d29842bf1c15be2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18300.779999999828 / 18135.489999999976 [+0.91%]
Products
Total CPU difference: 7442.760000000014 / 7435.139999999992 [+0.10%]
Windows-64-VC10:
OCCT
Total CPU difference: 17975.730028298512 / 17864.39211459853 [+0.62%]
Products
Total CPU difference: 8156.169082799918 / 8129.77371359997 [+0.32%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0075298)
git (administrator)
2018-04-11 11:00

Branch CR28097 has been deleted by kgv.

SHA-1: 2224ba6c3bac68077dfcee8905fb2d70f20a6c4c
(0075299)
git (administrator)
2018-04-11 11:00

Branch CR28097_1 has been deleted by kgv.

SHA-1: 1123d12f7dffc71c99e2ee243e7dbd13869e617e

- Related Changesets
occt: master 0e443e13
Timestamp: 2018-03-15 14:13:16
Author: apn
Committer: bugmaster
Details ] Diff ]
0028097: Test system does not recognize 'fail...' messages as errors

Test parse rules are improved to recognize messages with word 'fail' or 'failure' as errors.
Test cases are corrected accordingly (TODO or REQUIRED statements added where fail messages were not noticed previously).
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - tests/boolean/bfuse_complex/R9 Diff ] File ]
mod - tests/boolean/bfuse_complex/S1 Diff ] File ]
mod - tests/bugs/mesh/bug24923 Diff ] File ]
mod - tests/bugs/mesh/bug24938 Diff ] File ]
mod - tests/bugs/mesh/bug26664 Diff ] File ]
mod - tests/bugs/modalg_1/bug12918 Diff ] File ]
mod - tests/bugs/modalg_4/bug697_2 Diff ] File ]
mod - tests/bugs/modalg_4/bug697_4 Diff ] File ]
mod - tests/bugs/modalg_4/bug697_7 Diff ] File ]
mod - tests/bugs/modalg_4/bug697_8 Diff ] File ]
mod - tests/bugs/modalg_4/bug825 Diff ] File ]
mod - tests/bugs/modalg_5/bug22829 Diff ] File ]
mod - tests/bugs/modalg_5/bug24003 Diff ] File ]
mod - tests/bugs/modalg_5/bug24764 Diff ] File ]
mod - tests/bugs/modalg_5/bug25625 Diff ] File ]
mod - tests/bugs/modalg_5/bug25980 Diff ] File ]
mod - tests/bugs/modalg_6/bug24161 Diff ] File ]
mod - tests/bugs/modalg_6/bug27873 Diff ] File ]
mod - tests/bugs/modalg_6/bug28283 Diff ] File ]
mod - tests/bugs/modalg_7/bug21134 Diff ] File ]
mod - tests/bugs/modalg_7/bug26225_1 Diff ] File ]
mod - tests/bugs/modalg_7/bug26225_2 Diff ] File ]
mod - tests/bugs/modalg_7/bug28150_1 Diff ] File ]
mod - tests/bugs/moddata_1/bug150_1 Diff ] File ]
mod - tests/bugs/moddata_1/bug150_2 Diff ] File ]
mod - tests/bugs/moddata_1/bug15519 Diff ] File ]
mod - tests/bugs/moddata_2/bug308 Diff ] File ]
mod - tests/bugs/moddata_3/bug25892_01 Diff ] File ]
mod - tests/bugs/moddata_3/bug25892_02 Diff ] File ]
mod - tests/bugs/vis/buc60858 Diff ] File ]
mod - tests/bugs/vis/bug21970 Diff ] File ]
mod - tests/bugs/vis/bug22849 Diff ] File ]
mod - tests/caf/bugs/D2 Diff ] File ]
mod - tests/caf/parse.rules Diff ] File ]
mod - tests/chamfer/data/complex/A3 Diff ] File ]
mod - tests/chamfer/data/complex/A5 Diff ] File ]
mod - tests/chamfer/data/complex/B5 Diff ] File ]
mod - tests/chamfer/data/complex/B6 Diff ] File ]
mod - tests/chamfer/data/complex/B7 Diff ] File ]
mod - tests/chamfer/data/complex/B8 Diff ] File ]
mod - tests/chamfer/data/complex/C1 Diff ] File ]
mod - tests/chamfer/data/simple/A1 Diff ] File ]
mod - tests/de/end Diff ] File ]
mod - tests/de/iges_1/B6 Diff ] File ]
mod - tests/de/iges_1/J9 Diff ] File ]
mod - tests/de/iges_2/D4 Diff ] File ]
mod - tests/de/step_1/D7 Diff ] File ]
mod - tests/de/step_1/I1 Diff ] File ]
mod - tests/de/step_1/J6 Diff ] File ]
mod - tests/de/step_1/O3 Diff ] File ]
mod - tests/de/step_1/R3 Diff ] File ]
mod - tests/de/step_1/S2 Diff ] File ]
mod - tests/de/step_1/ZA7 Diff ] File ]
mod - tests/de/step_2/E6 Diff ] File ]
mod - tests/de/step_2/E7 Diff ] File ]
mod - tests/de/step_2/G2 Diff ] File ]
mod - tests/de/step_2/G5 Diff ] File ]
mod - tests/de/step_2/H2 Diff ] File ]
mod - tests/de/step_2/M5 Diff ] File ]
mod - tests/de/step_2/N6 Diff ] File ]
mod - tests/de/step_2/R5 Diff ] File ]
mod - tests/de/step_3/A4 Diff ] File ]
mod - tests/de/step_3/B9 Diff ] File ]
mod - tests/de/step_3/D9 Diff ] File ]
mod - tests/de/step_3/E5 Diff ] File ]
mod - tests/de/step_3/E6 Diff ] File ]
mod - tests/de/step_4/A7 Diff ] File ]
mod - tests/de/step_4/B2 Diff ] File ]
mod - tests/de/step_4/B3 Diff ] File ]
mod - tests/de/step_4/B4 Diff ] File ]
mod - tests/heal/data/advanced/F1 Diff ] File ]
mod - tests/heal/data/advanced/F2 Diff ] File ]
mod - tests/heal/data/advanced/F3 Diff ] File ]
mod - tests/mesh/data/standard/O5 Diff ] File ]
mod - tests/mesh/data/standard/U4 Diff ] File ]
mod - tests/mesh/data/standard/V6 Diff ] File ]
mod - tests/parse.rules Diff ] File ]
mod - tests/perf/modalg/bug10160_1 Diff ] File ]
mod - tests/perf/modalg/bug10160_2 Diff ] File ]
mod - tests/perf/modalg/bug10160_3 Diff ] File ]
mod - tests/perf/modalg/bug10160_4 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-13 10:17 abv New Issue
2016-11-13 10:17 abv Assigned To => apn
2016-11-13 10:18 abv Summary Test system does not recognizer 'fail...' messages as errors => Test system does not recognize 'fail...' messages as errors
2016-11-13 10:18 abv Additional Information Updated View Revisions
2017-07-24 10:32 bugmaster Target Version 7.2.0 => 7.3.0
2017-08-25 15:28 apv Test case number => Not required
2018-03-15 17:13 git Note Added: 0074508
2018-03-19 17:58 git Note Added: 0074663
2018-03-19 18:02 git Note Added: 0074664
2018-03-20 12:24 git Note Added: 0074697
2018-03-20 14:57 git Note Added: 0074706
2018-03-20 19:53 git Note Added: 0074715
2018-03-21 11:57 git Note Added: 0074721
2018-03-21 13:51 git Note Added: 0074727
2018-03-21 15:45 apn Note Added: 0074736
2018-03-21 15:48 apn Note Deleted: 0074736
2018-03-21 15:49 git Note Added: 0074739
2018-03-21 19:17 apn Note Added: 0074747
2018-03-21 19:24 apn Note Added: 0074748
2018-03-21 19:24 apn Assigned To apn => abv
2018-03-21 19:24 apn Status new => resolved
2018-03-25 16:34 git Note Added: 0074891
2018-03-25 18:58 abv Note Added: 0074894
2018-03-25 18:58 abv Assigned To abv => bugmaster
2018-03-25 18:58 abv Status resolved => reviewed
2018-03-26 15:36 bugmaster Note Added: 0074928
2018-03-26 15:36 bugmaster Status reviewed => tested
2018-04-11 07:49 bugmaster Changeset attached => occt master 0e443e13
2018-04-11 07:49 bugmaster Status tested => verified
2018-04-11 07:49 bugmaster Resolution open => fixed
2018-04-11 11:00 git Note Added: 0075298
2018-04-11 11:00 git Note Added: 0075299
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker